Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.engine
Class RpropParameters

    java.lang.Object
      org.joone.engine.RpropParameters

    public class RpropParameters

extends java.lang.Object

This object holds the global parameters for the RPROP learning algorithm (RpropLearner).

Author:
  Boris Jansen

Constructor Summary
`RpropParameters()` Creates a new instance of RpropParameters

Method Summary
`int` | `getBatchSize()` Gets the batchsize.
`double` | `getEtaDec()` Gets the decremental learning factor/rate.
`double` | `getEtaInc()` Gets the incremental learning factor/rate.
`double` | `getInitialDelta(int i, int j)` Gets the initial delta value.
`double` | `getMaxDelta()` Gets the maximum allowed delta value.
`double` | `getMinDelta()` Gets the minimum allowed delta value.
`void` | `setBatchSize(int aBatchsize)` Sets the batchsize.
`void` | `setEtaDec(double anEtaDec)` Sets the decremental learning factor/rate.
`void` | `setEtaInc(double anEtaInc)` Sets the incremental learning factor/rate.
`void` | `setInitialDelta(double anInitialDelta)` Sets the initial delta for all delta's.
`void` | `setMaxDelta(double aMaxDelta)` Sets the maximum allowed delta value.
`void` | `setMinDelta(double aMinDelta)` Sets the minimum allowed delta value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RpropParameters

    public RpropParameters()

  Creates a new instance of RpropParameters

Method Detail

### getInitialDelta

    public double getInitialDelta(int i,
                                  int j)

  Gets the initial delta value.

  Parameters:
    `i` - the index (i, j) of the weight/bias for which it should get the initial value. The RPROP learning algorithm gives every bias/weight the same initial value, but by passing the index of the weight/bias to this method, a user is able to give different initial values to different weights/biases based on their index by extending this class.
    `j` -

### setInitialDelta

    public void setInitialDelta(double anInitialDelta)

  Sets the initial delta for all delta's.

  Parameters:
    `anInitialDelta` - the initial delta value.

### getMaxDelta

    public double getMaxDelta()

  Gets the maximum allowed delta value.

  Returns:
    the maximum allowed delta value.

### setMaxDelta

    public void setMaxDelta(double aMaxDelta)

  Sets the maximum allowed delta value.

  Parameters:
    `aMaxDelta` - the maximum allowed delta value.

### getMinDelta

    public double getMinDelta()

  Gets the minimum allowed delta value.

  Returns:
    the minimum allowed delta value.

### setMinDelta

    public void setMinDelta(double aMinDelta)

  Sets the minimum allowed delta value.

  Parameters:
    `aMinDelta` - the minimum allowed delta value.

### getEtaInc

    public double getEtaInc()

  Gets the incremental learning factor/rate.

  Returns:
    the incremental learning factor/rate.

### setEtaInc

    public void setEtaInc(double anEtaInc)

  Sets the incremental learning factor/rate.

  Parameters:
    `anEtaInc` - the incremental learning factor/rate.

### getEtaDec

    public double getEtaDec()

  Gets the decremental learning factor/rate.

  Returns:
    the decremental learning factor/rate.

### setEtaDec

    public void setEtaDec(double anEtaDec)

  Sets the decremental learning factor/rate.

  Parameters:
    `anEtaDec` - the decremental learning factor/rate.

### getBatchSize

    public int getBatchSize()

  Gets the batchsize.

  Returns:
    the batch size.

### setBatchSize

    public void setBatchSize(int aBatchsize)

  Sets the batchsize. param aBatchsize the new batchsize.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net